GET /assets
globalforestwatch.org:global-forest-watch-api
Summary: Get Assets
Operation ID: get_assets_assets_get
Auth: none
Operation ID: get_assets_assets_get
Auth: none
Description
Get all assets for a given dataset version. Will attempt to paginate if `page[size]` or `page[number]` is provided. Otherwise, it will attempt to return the entire list of assets in the response.
Parameters (8)
asset_type
(?, query, optional)
asset_uri
(string, query, optional)
dataset
(string, query, optional)
Constraints: {'pattern': '^[a-z][a-z0-9_-]{2,}$'}
is_default
(boolean, query, optional)
is_latest
(boolean, query, optional)
page[number]
(integer, query, optional)
The page number.
Constraints: {'minimum': 1.0}
page[size]
(integer, query, optional)
The number of assets per page. Default is `10`.
Constraints: {'minimum': 1.0}
version
(string, query, optional)
Constraints: {'pattern': '^v\\d{1,8}(\\.\\d{1,3}){0,2}?$|^latest$'}
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| List assets with pagination | curl |
https://data-api.globalforestwatch.org/assets?page[size]=10&page[number]=1 |
|
| Filter assets by type (COG - Cloud Optimized GeoTIFF) | curl |
https://data-api.globalforestwatch.org/assets?asset_type=COG&page[size]=5 |
|
| Filter by latest assets only | curl |
https://data-api.globalforestwatch.org/assets?is_latest=true&page[size]=20 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:24:20.376667 | 200 | 748ms | |
| 2026-03-23 09:18:22.718064 | 200 | 733ms | |
| 2026-03-23 09:11:58.506239 | 200 | 993ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:18:22.718064 | 78af6210269d |
968e265a5527 |
| 2026-03-23 10:24:20.376667 | 968e265a5527 |
c2eb4e5848db |